// interopsvcdimedoc.idl : IDL source for interopsvcdimedoc
//

// This file will be processed by the MIDL tool to
// produce the type library (interopsvcdimedoc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(DB2B65B0-7AFC-4C6D-B20F-FBEE4AA2CBBA),
	dual,
	nonextensible,
	helpstring("IinteropsvcdimedocObj Interface"),
	pointer_default(unique)
]
interface IinteropsvcdimedocObj : IDispatch{
	[id(1), helpstring("method OnProcessBody")] HRESULT OnProcessBody([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(7771540D-6DC9-474E-8989-A613D74129BB),
	version(1.0),
	helpstring("interopsvcdimedoc 1.0 Type Library")
]
library interopsvcdimedocLib
{
	importlib("stdole2.tlb");
	[
		uuid(9B1CDD47-E53C-45F6-A2D1-81EA9A409B1D),
		helpstring("interopsvcdimedocObj Class")
	]
	coclass interopsvcdimedocObj
	{
		[default] interface IinteropsvcdimedocObj;
	};
};
